Env(3)

NAME
Env - perl module that imports environment variables

SYNOPSIS

    use Env;
    use Env qw(PATH HOME TERM);

DESCRIPTION
Perl maintains environment variables in a pseudo-hash named %ENV. For when this access method is inconvenient, the Perl module Env allows environment variables to be treated as simple variables.

The Env::import() function ties environment variables with suitable names to global Perl variables with the same names. By default it does so with all existing environment variables (keys %ENV). If the import function receives arguments, it takes them to be a list of environment variables to tie; it's okay if they don't yet exist.

After an environment variable is tied, merely use it like a normal variable. You may access its value

    @path = split(/:/, $PATH);
or modify it

    $PATH .= ":.";
however you'd like. To remove a tied environment variable from the environment, assign it the undefined value

    undef $PATH;

AUTHOR
Chip Salzenberg <chip@fin.uucp>